use lexer::Token;
use logos::Lexer;
use logos::Logos;
use syntax::parse_syntax;
use utils::ws;
use winnow::prelude::*;
use winnow::Parser;

use crate::syntax::check_syntax;

mod lexer;
mod syntax;
mod utils;

fn main() {
    // valid
    let input = "load \"./image.png\" | invert | save \"./image_processed.jpg\"";
    dbg!(parse_syntax(input));

    // invalid
    let invalid_no_streamer = "| invert | save \"./image_processed.jpg\"";
    check_syntax(parse_syntax(invalid_no_streamer), invalid_no_streamer)
}
